import { ApolloError, OperationVariables } from 'apollo-client';
import { DocumentNode } from 'graphql';
import Vue from 'vue';
import { VueDecorator } from 'vue-class-component';
import { VueApolloSmartQueryOptions } from '../query';
export declare function SmartQuery<TApp = any, TResult = any, TVariables = OperationVariables, TError = ApolloError>(options: TApp extends Vue ? VueApolloSmartQueryOptions<TResult, TVariables, TError, TApp> : DocumentNode): VueDecorator;
