"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleApolloError = void 0;
const ApolloErrorProcessor_1 = require("./ApolloErrorProcessor");
const handleApolloError = (error, app, context) => {
    const processor = new ApolloErrorProcessor_1.ApolloErrorProcessor(error, app, context !== null && context !== void 0 ? context : {});
    processor.showErrorNotifications();
    return {
        processedErrors: processor.processedErrors,
    };
};
exports.handleApolloError = handleApolloError;
//# sourceMappingURL=handleApolloError.js.map